Subject: Re: GCC-3.2 problem: undefined ___gxx_personality_v0
From: Martin Wolters <[email-masked]>
To: <[email-masked]>
Date: Wed, 5 Mar 2003 17:30:58 +0100

On Wednesday 05 March 2003 17:19, Max Bowsher wrote:
> Martin Wolters wrote:
> > On Wednesday 05 March 2003 16:18, [email-masked] wrote:
> >> OK.  And that file contains only C code?
> >
> > That's a good question. I thought so and I still think so. However, I
> > just tried "g++ myCFile.c" and it compiles like a charm!!
> >
> > Well, maybe I can find the code that breaks the gcc-build. And if it
> > turns out to be a valid c-construct I'll send the requested
> > informationen. But for now I at least have a "workaround".
>
> foo.C means C++. Could your file extension be uppercase accidentally?

Now that is interesting and it actually is the cause of all troubles. My file 
is really called "MYCFILE.C". Renaming it (mycfile.c) and then using gcc 
mycfile.c works perfectly. 

I didn't now the upper-case C rule. Is that gcc-specific?

Anyhow, thanks so much.

-M

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/